Opened 10 years ago

Closed 10 years ago

#25882 closed defect (invalid)

perl5.12 asks me to deactivate a port I do not have installed

Reported by: raramayo (Rodolfo Aramayo) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: Cc:
Port: perl5.8 perl5.10 perl5.12

Description (last modified by ryandesign (Ryan Schmidt))

I am trying to install perl5.12 but installer complains port a2p is being used by perl5.8. Problem is, I do not have port a2p installed (and I do not believe such port exists). I therefore cannot deactivate it and complete the perl5.12 installation.

"Error: Target org.macports.activate returned: Image error: /opt/local/bin/a2p is being used by the active perl5.8 port.  Please deactivate this port first, or use 'port -f activate perl5.12' to force the activation."

I am including the main.log and the list of my installed ports

Attachments (2)

main.log (1.9 KB) - added by raramayo (Rodolfo Aramayo) 10 years ago.
portinstalled.txt (2.7 KB) - added by raramayo (Rodolfo Aramayo) 10 years ago.

Download all attachments as: .zip

Change History (3)

Changed 10 years ago by raramayo (Rodolfo Aramayo)

Attachment: main.log added

Changed 10 years ago by raramayo (Rodolfo Aramayo)

Attachment: portinstalled.txt added

comment:1 Changed 10 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: perl removed
Port: perl5.8 perl5.10 perl5.12 added; perl removed
Resolution: invalid
Status: newclosed
Summary: Image error perl5.12 asks me to deactivate a port I do not have installedperl5.12 asks me to deactivate a port I do not have installed

It's not claiming you have an a2p port installed. It's claiming you have a perl5.8 port installed, which you need to deactivate in order to be able to install perl5.12.

sudo port deactivate perl5.8
Note: See TracTickets for help on using tickets.